[arch-commits] Commit in jack/trunk (PKGBUILD jack.changelog jack.conf.d jack.rc.d)

Ray Rashif schiv at archlinux.org
Sun Aug 8 11:15:35 UTC 2010


    Date: Sunday, August 8, 2010 @ 07:15:35
  Author: schiv
Revision: 86981

upgpkg: jack 0.118.0-3 -> 0.118.0-4
Added support for firewire via ffado (FS#19626)

Added:
  jack/trunk/jack.changelog
Modified:
  jack/trunk/PKGBUILD
Deleted:
  jack/trunk/jack.conf.d
  jack/trunk/jack.rc.d

----------------+
 PKGBUILD       |   42 ++++++++++++++++++++++--------------------
 jack.changelog |   15 +++++++++++++++
 jack.conf.d    |   41 -----------------------------------------
 jack.rc.d      |   39 ---------------------------------------
 4 files changed, 37 insertions(+), 100 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-08 09:13:00 UTC (rev 86980)
+++ PKGBUILD	2010-08-08 11:15:35 UTC (rev 86981)
@@ -1,35 +1,37 @@
 # $Id$
 # Maintainer: tobias <tobias at archlinux.net>
+# Maintainer: Ray Rashif <schivmeister at gmail.com>
 # Contributor: Robert Emil Berge <robert at rebi.no>
 
 pkgname=jack
+_longname=jack-audio-connection-kit
 pkgver=0.118.0
-pkgrel=3
+pkgrel=4
 pkgdesc="A low-latency audio server"
 arch=('i686' 'x86_64')
-license=('GPL2' 'custom:LGPL2')
-depends=('libsndfile' 'bash' 'libsamplerate')
-makedepends=('doxygen')
-url="http://jackit.sourceforge.net/"
-backup=(etc/conf.d/jack-audio-connection-kit)
+license=('GPL' 'LGPL')
+depends=('libsamplerate')
+makedepends=('doxygen' 'libffado')
+optdepends=('libffado: FireWire support')
+url="http://jackaudio.org/"
 options=('!libtool')
-provides=("jack-audio-connection-kit=${pkgver}")
-replaces=('jack-audio-connection-kit')
-source=(http://jackaudio.org/downloads/jack-audio-connection-kit-${pkgver}.tar.gz \
-        ${pkgname}.rc.d ${pkgname}.conf.d)
-md5sums=('d58e29a55f285d54e75134cec8e02a10' '15a3ecd76b3186eb0fa9c6d16ffbdfef' \
-         '7366c406870666e10129456149804122')
+provides=("${_longname}=${pkgver}")
+replaces=("${_longname}")
+changelog=$pkgname.changelog
+source=(http://jackaudio.org/downloads/${_longname}-${pkgver}.tar.gz)
+md5sums=('d58e29a55f285d54e75134cec8e02a10')
 
 build() {
-        cd ${srcdir}/jack-audio-connection-kit-${pkgver}
-        ./configure --prefix=/usr --libdir=/usr/lib
-        make || return 1
+  cd ${srcdir}/${_longname}-${pkgver}
+
+  ./configure --prefix=/usr --libdir=/usr/lib
+  make || return 1
 }
 
 package() {
-        cd ${srcdir}/jack-audio-connection-kit-${pkgver}
-        make DESTDIR=${pkgdir} install
-        install -Dm755 ../${pkgname}.rc.d ${pkgdir}/etc/rc.d/${pkgname}
-        install -Dm644 ../${pkgname}.conf.d ${pkgdir}/etc/conf.d/${pkgname}
-        install -Dm644 COPYING.LGPL ${pkgdir}/usr/share/licenses/${pkgname}/COPYING.LGPL
+  cd ${srcdir}/${_longname}-${pkgver}
+
+  make DESTDIR=${pkgdir} install
 }
+
+# vim:set ts=2 sw=2 et:

Added: jack.changelog
===================================================================
--- jack.changelog	                        (rev 0)
+++ jack.changelog	2010-08-08 11:15:35 UTC (rev 86981)
@@ -0,0 +1,15 @@
+8 Aug 2010 (GMT+8) Ray Rashif <schivmeister at gmail.com>
+
+	* 0.118.0-4 :
+	Testing build.
+	Built against libffado
+		- for FireWire support (see FS#19626)
+	Removed init scripts (no longer in tarball; unsupported).
+
+	* PKGBUILD :
+	URL updated.
+	Licenses now GPL, LGPL according to 2-or-later convention
+		- removed custom installation (both are common)
+
+	* jack.changelog :
+	Added this changelog.

Deleted: jack.conf.d
===================================================================
--- jack.conf.d	2010-08-08 09:13:00 UTC (rev 86980)
+++ jack.conf.d	2010-08-08 11:15:35 UTC (rev 86981)
@@ -1,41 +0,0 @@
-# Jack Audio Connection Kit options
-
-
-################################################ general server options
-# output form `jackd --help`
-# extend the switches in the OPTIONS variable
-# usage: jackd [ --realtime OR -R [ --realtime-priority OR -P priority ] ]
-#              [ --no-mlock OR -m ]
-#              [ --timeout OR -t client-timeout-in-msecs ]
-#              [ --port-max OR -p maximum-number-of-ports]
-#              [ --verbose OR -v ]
-#              [ --silent OR -s ]
-#              [ --version OR -V ]
-#          -d driver [ ... driver args ... ]
-#              driver can be `alsa', `dummy', `oss' or `portaudio'
-
-SERVER_PARAMS="-s -d alsa"
-
-
-#################################################  options passed to the driver
-# currently only options for alsa are available
-
-
-# Parameters for driver 'alsa' (all parameters are optional):
-#   -C, --capture   Provide only capture ports.  Optionally set device (default: none)
-#   -P, --playback  Provide only playback ports.  Optionally set device (default: none)
-#   -d, --device    ALSA device name (default: hw:0)
-#   -r, --rate      Sample rate (default: 48000)
-#   -p, --period    Frames per period (default: 1024)
-#   -n, --nperiods  Number of periods in hardware buffer (default: 2)
-#   -H, --hwmon     Hardware monitoring, if available (default: false)
-#   -M, --hwmeter   Hardware metering, if available (default: false)
-#   -D, --duplex    Provide both capture and playback ports (default: true)
-#   -s, --softmode  Soft-mode, no xrun handling (default: false)
-#   -m, --monitor   Provide monitor ports for the output (default: false)
-#   -z, --dither    Dithering mode (default: n)
-#   -i, --inchannels        Number of capture channels (defaults to hardware max) (default: 0)
-#   -o, --outchannels       Number of playback channels (defaults to hardware max) (default: 0)
-#   -S, --shorts    Try 16-bit samples before 32-bit (default: false)
-
-DRIVER_PARAMS="-d hw:0 -p 1024"

Deleted: jack.rc.d
===================================================================
--- jack.rc.d	2010-08-08 09:13:00 UTC (rev 86980)
+++ jack.rc.d	2010-08-08 11:15:35 UTC (rev 86981)
@@ -1,39 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-# source application-specific settings
-[ -f /etc/conf.d/jack ] && . /etc/conf.d/jack
-
-PID=`pidof -o %PPID /usr/bin/jackd`
-
-case "$1" in
-  start)
-    stat_busy "Starting JACK Daemon"
-    [ -z "$PID" ] && /usr/bin/jackd $SERVER_PARAMS -d $DRIVER_PARAMS &> /dev/null &
-    if [ ! -z "$PID" -o $? -gt 0 ]; then
-      stat_fail
-    else
-      add_daemon jack
-      stat_done
-    fi
-    ;;
-  stop)
-    stat_busy "Stopping JACK Daemon"
-    [ ! -z "$PID" ]  && kill $PID &> /dev/null
-    if [ $? -gt 0 ]; then
-      stat_fail
-    else
-      rm_daemon jack
-      stat_done
-    fi
-    ;;
-  restart)
-    $0 stop
-    sleep 1
-    $0 start
-    ;;
-  *)
-    echo "usage: $0 {start|stop|restart}"  
-esac




More information about the arch-commits mailing list